Subject: Remote's 'currently active branch' not HEAD?

From: Andreas Krey <[email-masked]>
Date: Tue, 3 Sep 2013 12:46:52 +0200

Hi everyone,

I have a strange behaviour from a bare repo I inherited;
when I clone from that one (ssh) the branch checked out
is *not* the one referenced in HEAD in the remote repo,
but apparently some variation of the alphabetically first
or temporally last, or the last *new* branch pushed.

Where would I look to find the reason for this behaviour?
How does git transfer the 'current branch' info during the clone?

There is no 'master' branch in the original bare repo,
but HEAD points to a valid value (refs/heads/r1).

Testing with another repo unfortunately doesn't show any
consistency, more like heisenbuggish.

Andreas

-- 
"Totally trivial. Famous last words."
From: Linus Torvalds <torvalds@*.org>
Date: Fri, 22 Jan 2010 07:29:21 -0800